SFML 2.5.1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Attributes | List of all members
sf::Event::JoystickMoveEvent Struct Reference

Joystick axis move event parameters (JoystickMoved) More...

`#include <Event.hpp>`

## Public Attributes

unsigned int | joystickId
| Index of the joystick (in range [0 .. Joystick::Count - 1]) More...
Joystick::Axis | axis
| Axis on which the joystick moved. More...
float | position
| New position on the axis (in range [-100 .. 100]) More...

## Detailed Description

Joystick axis move event parameters (JoystickMoved)

Definition at line 142 of file Event.hpp.

## Member Data Documentation

## ◆ axis

Joystick::Axis sf::Event::JoystickMoveEvent::axis

Axis on which the joystick moved.

Definition at line 145 of file Event.hpp.

## ◆ joystickId

unsigned int sf::Event::JoystickMoveEvent::joystickId

Index of the joystick (in range [0 .. Joystick::Count - 1])

Definition at line 144 of file Event.hpp.

## ◆ position

float sf::Event::JoystickMoveEvent::position

New position on the axis (in range [-100 .. 100])

Definition at line 146 of file Event.hpp.

The documentation for this struct was generated from the following file:

- Event.hpp